/**
 * 配置
 * 表格列
 */
export const columns = [
	{
		title: "住户姓名",
		dataIndex: "name",
		width: "8%",
	},
	{
		title: "住户手机号",
		dataIndex: "tel",
		width: "10%",
	},
	{
		title: "住户性别",
		dataIndex: "sex",
		width: "7%",
		customRender:function(sex){
			switch (sex) {
			case 1:
				return '男'
			case 2:
				return '女'
			case 3:
				return '保密'
			default:
				break;
			}
		}
	},
	{
		title: "住户身份证号",
		dataIndex: "idCard",
		width: "14%",
	},
	{
		title: "房屋名称",
		dataIndex: "manageBuildingName",
		scopedSlots: { customRender: "name" },
		width: "25%",
	},
	{
		title: "房屋类型",
		dataIndex: "manageEstateTypeName",
		width: "10%",
	},
	{
		title: "用户身份",
		key: "tags",
		dataIndex: "identity",
		scopedSlots: { customRender: "tags" },
	},
	{
		title: "操作",
		dataIndex: "action",
		key: "action",
		width: "180",
		fixed: "right",
		scopedSlots: { customRender: "action" },
	},
]
// 搜索项
export const searchForm = {
	keyword: "",
	sex: undefined,
}
// 分页
export const pagination = {
	current: 1,
	total: 0,
	pageSize: 10,
	showTotal: (total) => `共 ${total} 条`,
	showSizeChanger: true,
	showQuickJumper: true,
}
export const rules = {
	estateId:[{required:true,message:'请选择房屋',trigger:'change'}],
	identity:[{required:true,message:'请选择身份',trigger:'change'}],
	linkUserId	:[{required:true,message:'请输入姓名',trigger:'change'}],
}